/*****************************************************************************
 *
 * param_strings.h
 *
 * PHASEX:  [P]hase [H]armonic [A]dvanced [S]ynthesis [EX]periment
 *
 * Copyright (C) 1999-2015 Willaim Weston <william.h.weston@gmail.com>
 *
 * PHASEX is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PHASEX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PHASEX.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef _PHASEX_PARAM_STRINGS_H_
#define _PHASEX_PARAM_STRINGS_H_


/* lists of parameter value names */
extern char *rate_names[];
extern char *keymode_names[];
extern char *keyfollow_names[];
extern char *mod_names[];
extern char *fm_mod_names[];
extern char *wave_names[];
extern char *filter_mode_names[];
extern char *filter_type_names[];
extern char *freq_base_names[];
extern char *mod_type_names[];
extern char *lfo_names[];
extern char *velo_lfo_names[];
extern char *polarity_names[];
extern char *sign_names[];
extern char *boolean_names[];
extern char *midi_ch_names[];

/* lists of label strings for parameter values in GUI */
extern const char *midi_ch_labels[];
extern const char *on_off_labels[];
extern const char *freq_base_labels[];
extern const char *mod_type_labels[];
extern const char *keymode_labels[];
extern const char *keyfollow_labels[];
extern const char *mod_labels[];
extern const char *fm_mod_labels[];
extern const char *velo_lfo_labels[];
extern const char *polarity_labels[];
extern const char *sign_labels[];
extern const char *wave_labels[];
extern const char *filter_mode_labels[];
extern const char *filter_type_labels[];
extern const char *lfo_labels[];
extern const char *rate_labels[];


#endif /* _PHASEX_PARAM_STRINGS_H_ */
